# ProjectPublications

interface ProjectPublications : Model, ProjectModel

A model providing information about the publications of a Gradle project.

#### Since

1.12

## Functions

getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
Returns the identifier for the Gradle project that these publications originate from.
getPublications
Link copied to clipboard
abstract fun getPublications(): DomainObjectSet<out GradlePublication>
Returns the publications for this project.